# __autoload

(PHP 5, PHP 7)

__autoload — Attempt to load undefined class

Warning

This feature has been DEPRECATED as of PHP 7.2.0. Relying on this feature is highly discouraged.

### Description

__autoload ( string `$class` ) : void

You can define this function to enable classes autoloading.

### Parameters

`class`

  Name of the class to load

### Return Values

No value is returned.

### See Also

- spl_autoload_register() - Register given function as __autoload() implementation